Page MenuHomePhabricator

Set up test instance for the community to test new version
Closed, ResolvedPublic

Description

This will help making the switch more painless for the community if they can test out beforehand and report blockers.

Event Timeline

QChris created this task.Jun 6 2020, 12:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2020, 12:47 PM
Apap04 added a subscriber: Apap04.Jun 6 2020, 12:50 PM
Paladox added a subscriber: Paladox.Jun 6 2020, 1:13 PM
QChris claimed this task.Jun 6 2020, 6:11 PM

https://gerrit-test.wikimedia.org/r/ seems to exist.
If issues are found on that website, should bug reports be created? Clarification welcome.

If issues are found on that website, should bug reports be created? Clarification welcome.

Yes please! :-)

T254158 would probably be best as it has better visibility, but here underneath this task is fine too.

Let the reports come in. Not sure which things we can fix on our end or which things need upstream help. But we'll sort it out.

Dzahn added a subscriber: Dzahn.Jun 27 2020, 8:35 PM

The production machine is now on 3.2.

Now that the new Gerrit is live. What do we do with the test instance.
Leave it up for a bit? Or tear it down immediately to free up resources?

(I don't want to close this task as is so we don't forget about it)

Dzahn added a comment.EditedJun 27 2020, 8:49 PM

How about i take it from you for now and we figure it out. We need a ticket to properly decom it or change its name either way.

It would be the reversal of T239151 (which i just reopened, so we can also use that)

Dzahn claimed this task.Jul 2 2020, 10:52 PM
Dzahn added a comment.Jul 2 2020, 11:07 PM

@Paladox and myself have setup https://gerrit.devtools.wmflabs.org which now works and is using the same puppet role that is used in production.

It required some work (for example to make TLS certs work, skipping the LDAP server part, fixing a bunch of keys in cloud Hiera data etc) and we are glad these are solved now and i think for the first time we have a Gerrit in cloud VPS that actually uses the same puppet role as prod.

Users who want to test things, for example Gerrit design changes, can request being added to the devtools cloud VPS project. (also see https://openstack-browser.toolforge.org/project/devtools)

We have currently an instance gerrit-prod-1001.devtools.eqiad.wmflabs which has the purpose to always be like prod. It could be accompanied by another "stage" instance where new config can be applied before it is in prod.

The test instance also has a floating IP. (T254596) and a TLS cert via certbot.

The same devtools project also hosts Phabricator instances for testing.

The test instance in production would not be easy to use for volunteer anyways because they would have to go through an entire access request with a sponsor.

This way though it just needs a request to be added to the project.

Also the project does not contain any private data / real user data and skips the LDAP auth part. Gerrit is in the "dev" mode where you can become any user.

Dzahn added a comment.Jul 2 2020, 11:12 PM

I would claim this resolves the ticket and is not a conflict with taking down gerrit-test.wikimedia.org, it should be better than that.

Paladox closed this task as Resolved.Jul 2 2020, 11:12 PM

Per ^